import type { PropType } from 'vue';
import type { TypeLdesignPageProps } from './type';
declare const _default: {
    layout: {
        type: PropType<"aside" | "normal" | "mix">;
        validator(val: TypeLdesignPageProps['layout']): boolean;
        default: string;
    };
    theme: {
        type: PropType<"default" | "primary">;
        validator(val: TypeLdesignPageProps['theme']): boolean;
        default: string;
    };
    header: {
        type: PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    };
};
export default _default;
